import React, { Component } from "react";
import { NavLink } from "react-router-dom";
import BeldenLogo from "../assets/images/belden-logo.png";
import "../assets/stylesheets/navbar.scss";

export default class NavBar extends Component {
  constructor(props) {
    super(props);
  }

  render() {
    return (
      <div className="navbar">
        <div className="navbar-top">
          <img className="navbar-top-logo" src={BeldenLogo} alt="Belden" />
        </div>
        <ol className="navbar-list">
          <NavLink className="navbar-list-item" to="/">
            <span className="navbar-list-item-label">Home</span>
          </NavLink>
          <NavLink className="navbar-list-item" to="/search">
            <span className="navbar-list-item-label">Search</span>
          </NavLink>
          <NavLink className="navbar-list-item" to="/settings">
            <span className="navbar-list-item-label">Settings</span>
          </NavLink>
        </ol>
      </div>
    );
  }
}
